package minecraft.gui.mvc;

import minecraft.player.Steve;

import java.util.List;

public interface SteveView {
    void showAllSteves(List<Steve> steves);

    void showError(String message);

    void showSuccess(String message);

    void clearForm();

    void setFormFields(Steve steve);

    // Listener interfaces
    interface SteveListener {
        void onAddSteve(String name, int health, int maxHealth, int attackPower,
                        int defensePower, int hunger, int maxHunger, boolean godMode);

        void onUpdateSteve(int index, String name, int health, int maxHealth,
                           int attackPower, int defensePower, int hunger,
                           int maxHunger, boolean godMode);

        void onDeleteSteve(int index);

        void onClearForm();

        void onSteveSelected(int index);
    }

    void setSteveListener(SteveListener listener);
}

