package minecraft.item;

public class Food extends Item {
    private int heal;
    private int feed;

    public Food(String name, int amount, int type, int heal, int feed)  {
        super(name, amount, type);
        if (amount <= 0 || type <= 0 || heal <= 0 || feed <= 0) {
            throw new InvalidFoodException("Can't construct Food, can't have a negative amount, type, heal, feed");
        }

        this.setHeal(heal);
        this.setFeed(feed);
    }

    public int getHeal() {
        return heal;
    }

    public void setHeal(int heal) {
        this.heal = heal;
    }

    public int getFeed() {
        return feed;
    }

    public void setFeed(int feed) {
        this.feed = feed;
    }
}
