package minecraft.world.block;

import java.util.ArrayList;
import java.util.List;

public class SubjectWheatBlock  implements Subject {
    private List<Observer> observers = new ArrayList<>();
    private boolean fullGrown = false;

    public boolean isFullGrown() {
        return fullGrown;
    }

    public void setFullGrown(boolean fullGrown) {
        this.fullGrown = fullGrown;
        this.notifyObservers();
    }

    @Override
    public void registerObserver(Observer o) {
        observers.add(o);
    }

    @Override
    public void removeObserver(Observer o) {
        observers.remove(o);
    }

    @Override
    public void notifyObservers() {
        for (Observer o : observers) {
            o.update();
        }
    }
}
