package reflection;

import minecraft.item.Food;
import minecraft.player.InvalidCharacterParamsException;
import minecraft.player.Steve;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class BasicClass3 {
    public static void main(String[] args) throws ClassNotFoundException, InvalidCharacterParamsException, NoSuchMethodException, InvocationTargetException, InstantiationException, IllegalAccessException {
        Class<Steve> steveClass = Steve.class;

        // String name, int health, int maxHealth, int attackPower, int defensePower,
        //                 int hunger, int maxHunger, boolean godMode
        Class[] parameterType = new Class[8];
        parameterType[0] = String.class;
        parameterType[1] = int.class;
        parameterType[2] = int.class;
        parameterType[3] = int.class;
        parameterType[4] = int.class;
        parameterType[5] = int.class;
        parameterType[6] = int.class;
        parameterType[7] = boolean.class;

        Steve steve = steveClass.getDeclaredConstructor(parameterType).newInstance("Jozko", 1, 1, 1, 1, 1, 1, false);

        Food food = new Food("Jablko", 1, 1, 1, 1);

        Method addMethod = steveClass.getMethod("consume", Food.class);
        addMethod.invoke(steve, food);

        Method sizeMethod = steveClass.getMethod("isGodMode");
        boolean godMode = (boolean) sizeMethod.invoke(steve);
        System.out.println("God Mode: " + godMode);
    }
}
